# coding: utf-8

"""
    Alfresco Content Services REST API

    **Core API**  Provides access to the core features of Alfresco Content Services.   # noqa: E501

    OpenAPI spec version: 1
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.categories_api import CategoriesApi  # noqa: E501
from swagger_client.rest import ApiException


class TestCategoriesApi(unittest.TestCase):
    """CategoriesApi unit test stubs"""

    def setUp(self):
        self.api = swagger_client.api.categories_api.CategoriesApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_create_category(self):
        """Test case for create_category

        Create a category  # noqa: E501
        """
        pass

    def test_create_category_link_for_node(self):
        """Test case for create_category_link_for_node

        Assign a node to a category  # noqa: E501
        """
        pass

    def test_delete_category(self):
        """Test case for delete_category

        Delete a category  # noqa: E501
        """
        pass

    def test_delete_category_link_from_node(self):
        """Test case for delete_category_link_from_node

        Unassign a node from a category  # noqa: E501
        """
        pass

    def test_get_category(self):
        """Test case for get_category

        Get a category  # noqa: E501
        """
        pass

    def test_list_categories_for_node(self):
        """Test case for list_categories_for_node

        List categories that a node is assigned to  # noqa: E501
        """
        pass

    def test_list_subcategories(self):
        """Test case for list_subcategories

        List categories  # noqa: E501
        """
        pass

    def test_update_category(self):
        """Test case for update_category

        Update a category  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
